Subject: bug#55511: 13.1.3; TeX-auto-store issues with complex paths

From: Arash Esbati <[email-masked]>
Date: Mon, 23 May 2022 14:25:20 +0200

Cyril Arnould <[email-masked]> writes:

>>Did you run ./autogen.sh before ./configure?
>
> I did, yes, I attached the output in case you're interested. It seems
> like it starts failing after the following line:
>
> checking for install-info... /usr/bin/install-info
>
> The problem is I end up with an empty Makefile, so make fails
> afterwards.

Hmm, can't tell what's going wrong.  I'm also using Msys2/Mingw64 on
Win10 and don't see this issue.  I do:

$ ./autogen.sh
$ ./configure --without-texmf-dir --with-lispdir=.
$ make

> I think what was missing were the following lines from the
> AUCTeX-documentation:
>
> (load "auctex.el" nil t t)
> (load "preview-latex.el" nil t t)
>
> When I added those, it worked.

When you install AUCTeX from anywhere else than ELPA, you need those
line, true.

> I guess these lines are not necessary when installing via ELPA?

True.  There were reports where the 2 lines above were even harmful when
installed from ELPA.

> I think I've changed this based off of this post:
>
> https://emacs.stackexchange.com/questions/41321/when-to-specify-a-package-name-in-use-packages-ensure-tag/41324#41324
>
> I wanted to load LaTeX-mode, not TeX-mode, which is in latex.el.

The reason I was asking it that active contributors don't use
use-package and we currently have this in the manual:

(use-package tex
  :ensure auctex)

If that's not right, we should change it (but it seems there is no
definitive answer to this ;-)

> Anyway, the patch was still working with the properly installed
> auctex.

Indeed, Keita has installed it, so the issue is now resolved and should
be available via ELPA also sometimes soon.

Best, Arash